<div class="manage-table" *ngIf="!isUpdate">
    <table mat-table [dataSource]="newes">
        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef> ID </th>
            <td mat-cell *matCellDef="let element"> {{element.id}} </td>
        </ng-container>

        <ng-container matColumnDef="title">
            <th mat-header-cell *matHeaderCellDef> Tiêu Đề </th>
            <td mat-cell *matCellDef="let element"> {{element.title}} </td>
        </ng-container>

        <ng-container matColumnDef="sumaryContent">
            <th mat-header-cell *matHeaderCellDef> Tóm Tắt </th>
            <td mat-cell *matCellDef="let element"> {{element.sumaryContent}} </td>
        </ng-container>

        <ng-container matColumnDef="postedDate">
            <th mat-header-cell *matHeaderCellDef> Ngày Đăng </th>
            <td mat-cell *matCellDef="let element"> {{element.postedDate | date: 'shortDate'}} </td>
        </ng-container>

        <ng-container matColumnDef="poster">
            <th mat-header-cell *matHeaderCellDef> Ảnh Nền </th>
            <td mat-cell *matCellDef="let element"> <img [src]="element.poster" /> </td>
        </ng-container>

        <ng-container matColumnDef="deleting">
            <th mat-header-cell *matHeaderCellDef> Xóa </th>
            <td mat-cell *matCellDef="let element">
                <button mat-button color="primary" (click)="delete(element)">Xóa</button>
            </td>
        </ng-container>

        <ng-container matColumnDef="updating">
            <th mat-header-cell *matHeaderCellDef> Sửa </th>
            <td mat-cell *matCellDef="let element">
                <button mat-button color="accent"  (click)="update(element)">Sửa</button>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
</div>
<button mat-button (click)="addContent()" color="accent">THÊM NỘI DUNG</button>
<div *ngIf="isUpdate">
    <form [formGroup]="formUpdate" class="formUpdate">
        <mat-form-field class="col-12">
            <input matInput placeholder="Tiêu Đề" id="title" formControlName="title" required>
        </mat-form-field>
        <div class="col-12" style="text-align: left;">
            <p style="text-align: left;display: inline;">Ảnh Nền</p>&nbsp;
            <input type="file" id="fileUpload" (input)="onFileSelected($event)" style="display: none" #fileinput />
            <button type="button" mat-button class="btn-outline border-primary" (click)="fileinput.click()">Thêm
                Ảnh</button>
        </div>
        <div class="col-12 imgs-area">
            <img [src]="formUpdate.controls.poster.value" />
        </div>
        <mat-form-field class="col-12">
            <textarea matInput placeholder="Tóm Tắt" id="sumaryContent" formControlName="sumaryContent" required
                minlength="2"></textarea>
        </mat-form-field>
        <div style="display:none;">
            <div>
                <textarea class="form-control" formControlName="htmlContent" [value]="formUpdate.controls.htmlContent.value"
                    name='htmlContent'></textarea>
            </div>
        </div>
        <div class="col-12 imgs-area" style="text-align: left;">
            <p style="text-align: left;display: inline;">Nội Dung</p>&nbsp;
        </div>
        <div class="col-12 imgs-area">
            <app-word-editor [isDefaultConfig]="true" [data]="formUpdate.controls.htmlContent.value" (onChangeInput)="onChange($event)">
            </app-word-editor>
        </div>
        <div class="col-12 imgs-area">
            <button *ngIf="!isAdd" color="primary" mat-button matStepperNext type="button" [disabled]="!formUpdate.valid"
                (click)="onUpdate()">CẬP
                NHẬT</button>&nbsp;
            <button *ngIf="isAdd" color="primary"  mat-button matStepperNext type="button" [disabled]="!formUpdate.valid"
                (click)="onAdd()">THÊM MỚI</button>&nbsp;
            <button color="accent" class="border-accent" mat-button matStepperNext type="button" (click)="return()">QUAY
                VỀ</button>
        </div>
    </form>
</div>